summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjandob2016-01-28 16:16:09 +0100
committerjandob2016-01-28 16:16:09 +0100
commitd58aa4e7e93630639aa5f292d9c2c9089870daf3 (patch)
treeee84c6f2f6383f1728f54f3a3be1e075fed3833f
parentdependecy check update (diff)
parentImprove debugging configurations. (diff)
downloadsystemd-init-d58aa4e7e93630639aa5f292d9c2c9089870daf3.tar.gz
systemd-init-d58aa4e7e93630639aa5f292d9c2c9089870daf3.tar.xz
systemd-init-d58aa4e7e93630639aa5f292d9c2c9089870daf3.zip
Merge branch 'master' of git.openslx.org:openslx-ng/systemd-init
-rwxr-xr-xbuilder/build-initramfs.sh6
-rwxr-xr-xbuilder/dnbd3-rootfs/hooks/prepare-root-partition.sh14
-rw-r--r--dev-tools/virtualBoxTFTPRoot/pxelinux.cfg/default12
3 files changed, 25 insertions, 7 deletions
diff --git a/builder/build-initramfs.sh b/builder/build-initramfs.sh
index 7ebb65eb..90a4fe77 100755
--- a/builder/build-initramfs.sh
+++ b/builder/build-initramfs.sh
@@ -147,8 +147,10 @@ function build_initramfs_print_command_line_option_description() {
(improved performance but less features)
(default: "$build_initramfs_use_systemd_in_initramfs").
-Additional dracut parameter and normal parameter can be deleimiter via a single
-dash (-) (default: "$build_initramfs_dracut_parameter").
+Additional dracut parameter and normal parameter can be added by deleimiting
+them via a single dash (-) (default: "$build_initramfs_dracut_parameter" with
+"--modules" and dynamically determined modules. Additional custom modules are
+concated.).
EOF
}
function build_initramfs_print_help_message() {
diff --git a/builder/dnbd3-rootfs/hooks/prepare-root-partition.sh b/builder/dnbd3-rootfs/hooks/prepare-root-partition.sh
index b9355cc3..c527062a 100755
--- a/builder/dnbd3-rootfs/hooks/prepare-root-partition.sh
+++ b/builder/dnbd3-rootfs/hooks/prepare-root-partition.sh
@@ -36,21 +36,25 @@ if [[ $return_code != 0 ]]; then
exit 1
fi
# endregion
+
# region scan partitions
read_only_device=""
-if ! qemu-img info --output json "$SLX_DNBD3_DEVICE" | grep '"format": "raw"'
+if utils.dependency_check qemu-img && ! qemu-img qemu-img info --output json \
+ "$SLX_DNBD3_DEVICE" | grep '"format": "raw"'
then
read_only_device="$(container-unpack-xmount $SLX_DNBD3_DEVICE)"
else
- # workaround to detect partitions on raw disks
- # can be omited when the dnbd3 kernel module supports it (like the nbd
- # kernel module with parameter 'max_part')
- loop_device="$(losetup -f)"
+ # Workaround to detect partitions on raw disks can be omitted when the
+ # dnbd3 kernel module supports it (like the nbd kernel module with
+ # parameter "max_part").
+ loop_device="$(losetup --find)"
losetup "$loop_device" "$SLX_DNBD3_DEVICE" --partscan
read_only_device="$loop_device"
touch $read_only_device
udevadm settle
fi
+# Fail fast if no device could be determined.
+[ -z "$read_only_device" ] && exit 1
# endregion
# region find read-only partition
diff --git a/dev-tools/virtualBoxTFTPRoot/pxelinux.cfg/default b/dev-tools/virtualBoxTFTPRoot/pxelinux.cfg/default
index 96caf72e..df85eacb 100644
--- a/dev-tools/virtualBoxTFTPRoot/pxelinux.cfg/default
+++ b/dev-tools/virtualBoxTFTPRoot/pxelinux.cfg/default
@@ -29,12 +29,24 @@ KERNEL /ubuntu-vmlinuz-linux
APPEND initrd=/ubuntu-initramfs-test.img loglevel=2 acpi_osi="!Windows 2012" rd.info ip=10.0.2.15::10.0.2.2:255.255.255.0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de-latin1-nodeadkeys rd.locale.LANG=de_DE.UTF-8 net.ifnames=1 slxsrv=10.0.2.2:80,10.0.2.2:8080,10.0.2.2:8008,10.0.2.2:8090,10.0.2.2:8280,10.0.2.2:8888 slxbase=ubuntu/
SYSAPPEND 2
+LABEL ubuntu
+MENU LABEL ^ubuntu network boot debug
+KERNEL /ubuntu-vmlinuz-linux
+APPEND initrd=/ubuntu-initramfs-test.img loglevel=2 acpi_osi="!Windows 2012" rd.info rd.break ip=10.0.2.15::10.0.2.2:255.255.255.0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de-latin1-nodeadkeys rd.locale.LANG=de_DE.UTF-8 net.ifnames=1 slxsrv=10.0.2.2:80,10.0.2.2:8080,10.0.2.2:8008,10.0.2.2:8090,10.0.2.2:8280,10.0.2.2:8888 slxbase=ubuntu/
+SYSAPPEND 2
+
LABEL centOS
MENU LABEL ^centOS network boot
KERNEL /centOS-vmlinuz-linux
APPEND initrd=/centOS-initramfs-test.img loglevel=2 acpi_osi="!Windows 2012" rd.info ip=10.0.2.15::10.0.2.2:255.255.255.0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de-latin1-nodeadkeys rd.locale.LANG=de_DE.UTF-8 net.ifnames=1 slxsrv=10.0.2.2:80,10.0.2.2:8080,10.0.2.2:8008,10.0.2.2:8090,10.0.2.2:8280,10.0.2.2:8888 slxbase=centOS/
SYSAPPEND 2
+LABEL centOS
+MENU LABEL ^centOS network boot debug
+KERNEL /centOS-vmlinuz-linux
+APPEND initrd=/centOS-initramfs-test.img loglevel=2 acpi_osi="!Windows 2012" rd.info rd.break ip=10.0.2.15::10.0.2.2:255.255.255.0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=de-latin1-nodeadkeys rd.locale.LANG=de_DE.UTF-8 net.ifnames=1 slxsrv=10.0.2.2:80,10.0.2.2:8080,10.0.2.2:8008,10.0.2.2:8090,10.0.2.2:8280,10.0.2.2:8888 slxbase=centOS/
+SYSAPPEND 2
+
LABEL BootNormal
MENU LABEL ^Boot Normal (HDD)
LOCALBOOT 0